<?php

namespace limble\helpers;

abstract class limble_pagination_helper
{
    /**
     * Limit of items per page.
     * @var int $limit
     */
    public int $limit = 100;
    /**
     * Page number to display.
     * @var int $page
     */
    public int $page = 1;

    public function getParams(): array
    {
        return array_filter((array)$this, function ($value) {
            return is_int($value) || is_string($value);
        });
    }
}